Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | Static Protected Member Functions | List of all members
ImageAsset Class Reference

`#include <ImageAsset.h>`

Inheritance diagram for ImageAsset:

## Classes
class | FrameArea
| Frame area. More...

## Public Types
enum | TextureFilterMode { FILTER_NEAREST, FILTER_BILINEAR, FILTER_INVALID }
| Texture Filter Mode. More...
Public Types inherited from SimObject
enum | WriteFlags { SelectedOnly = BIT(0) }

## Public Member Functions
| ImageAsset ()
virtual | ~ImageAsset ()
virtual bool | onAdd ()
| Called when the object is added to the sim. More...
virtual void | onRemove ()
| Called when the object is removed from the sim. More...
virtual void | copyTo (SimObject *object)
void | setImageFile (const char *pImageFile)
StringTableEntry | getImageFile (void) const
void | setForce16Bit (const bool force16Bit)
bool | getForce16Bit (void) const
void | setFilterMode (const TextureFilterMode filterMode)
TextureFilterMode | getFilterMode (void) const
void | setExplicitMode (const bool explicitMode)
bool | getExplicitMode (void) const
void | setCellRowOrder (const bool cellRowOrder)
bool | getCellRowOrder (void) const
void | setCellOffsetX (const S32 cellOffsetX)
S32 | getCellOffsetX (void) const
void | setCellOffsetY (const S32 cellOffsetY)
S32 | getCellOffsetY (void) const
void | setCellStrideX (const S32 cellStrideX)
S32 | getCellStrideX (void) const
void | setCellStrideY (const S32 cellStrideY)
S32 | getCellStrideY (void) const
void | setCellCountX (const S32 cellCountX)
S32 | getCellCountX (void) const
void | setCellCountY (const S32 cellCountY)
S32 | getCellCountY (void) const
void | setCellWidth (const S32 cellWidth)
S32 | getCellWidth (void) const
void | setCellHeight (const S32 cellheight)
S32 | getCellHeight (void) const
Vector2 | getExplicitCellOffset (const S32 cellIndex)
S32 | getExplicitCellWidth (const S32 cellIndex)
S32 | getExplicitCellHeight (const S32 cellIndex)
StringTableEntry | getExplicitCellName (const S32 cellIndex)
S32 | getExplicitCellIndex (const char *regionName)
bool | containsNamedRegion (const char *regionName)
TextureHandle & | getImageTexture (void)
S32 | getImageWidth (void) const
S32 | getImageHeight (void) const
U32 | getFrameCount (void) const
bool | containsFrame (const char *namedFrame)
FrameArea & | getCellByName (const char *cellName)
const FrameArea & | getImageFrameArea (U32 frame) const
const FrameArea & | getImageFrameArea (const char *namedFrame)
const void | bindImageTexture (void)
virtual bool | isAssetValid (void) const
bool | clearExplicitCells (void)
| Explicit cell control. More...
bool | addExplicitCell (const S32 cellOffsetX, const S32 cellOffsetY, const S32 cellWidth, const S32 cellHeight, const char *regionName)
bool | insertExplicitCell (const S32 cellIndex, const S32 cellOffsetX, const S32 cellOffsetY, const S32 cellWidth, const S32 cellHeight, const char *regionName)
bool | removeExplicitCell (const S32 cellIndex)
bool | removeExplicitCell (const char *regionName)
bool | setExplicitCell (const S32 cellIndex, const S32 cellOffsetX, const S32 cellOffsetY, const S32 cellWidth, const S32 cellHeight, const char *regionName)
S32 | getExplicitCellCount (void) const
void | forceCalculation (void)
| DECLARE_CONOBJECT (ImageAsset)
| Declare Console Object. More...
Public Member Functions inherited from AssetBase
| AssetBase ()
virtual | ~AssetBase ()
void | setAssetName (const char *pAssetName)
| Asset configuration. More...
StringTableEntry | getAssetName (void) const
void | setAssetDescription (const char *pAssetDescription)
StringTableEntry | getAssetDescription (void) const
void | setAssetCategory (const char *pAssetCategory)
StringTableEntry | getAssetCategory (void) const
void | setAssetAutoUnload (const bool autoUnload)
bool | getAssetAutoUnload (void) const
void | setAssetInternal (const bool assetInternal)
bool | getAssetInternal (void) const
bool | getAssetPrivate (void) const
StringTableEntry | getAssetType (void) const
S32 | getAcquiredReferenceCount (void) const
bool | getOwned (void) const
StringTableEntry | getAssetId (void) const
StringTableEntry | expandAssetFilePath (const char *pAssetFilePath) const
| Expanding/Collapsing asset paths is only available once registered with the asset manager. More...
StringTableEntry | collapseAssetFilePath (const char *pAssetFilePath) const
void | refreshAsset (void)
| DECLARE_CONOBJECT (AssetBase)
| Declare Console Object. More...
Public Member Functions inherited from SimObject
StringTableEntry | getClassNamespace () const
StringTableEntry | getSuperClassNamespace () const
void | setClassNamespace (const char *classNamespace)
void | setSuperClassNamespace (const char *superClassNamespace)
void | pushScriptCallbackGuard (void)
void | popScriptCallbackGuard (void)
S32 | getScriptCallbackGuard (void)
virtual SimObject * | findObject (const char *name)
Namespace * | getNamespace ()
| Return the object's namespace. More...
const char * | tabComplete (const char *prevText, S32 baseLen, bool)
virtual void | dump ()
virtual void | dumpClassHierarchy ()
SimObject * | clone (const bool copyDynamicFields)
template<typename T >
bool | isType (void)
virtual bool | handlesConsoleMethod (const char *fname, S32 *routingId)
| DECLARE_CONOBJECT (SimObject)
Notify * | removeNotify (void *ptr, Notify::Type)
| Remove a notification from the list. More...
void | deleteNotify (SimObject *obj)
| Notify an object when we are deleted. More...
void | clearNotify (SimObject *obj)
| Notify an object when we are cleared. More...
void | clearAllNotifications ()
| Remove all notifications for this object. More...
void | processDeleteNotifies ()
| Send out deletion notifications. More...
void | registerReference (SimObject **obj)
void | unregisterReference (SimObject **obj)
const char * | getDataField (StringTableEntry slotName, const char *array)
void | setDataField (StringTableEntry slotName, const char *array, const char *value)
const char * | getPrefixedDataField (StringTableEntry fieldName, const char *array)
void | setPrefixedDataField (StringTableEntry fieldName, const char *array, const char *value)
const char * | getPrefixedDynamicDataField (StringTableEntry fieldName, const char *array, const S32 fieldType=-1)
void | setPrefixedDynamicDataField (StringTableEntry fieldName, const char *array, const char *value, const S32 fieldType=-1)
StringTableEntry | getDataFieldPrefix (StringTableEntry fieldName)
U32 | getDataFieldType (StringTableEntry slotName, const char *array)
SimFieldDictionary * | getFieldDictionary ()
void | clearDynamicFields (void)
| Clear all dynamic fields. More...
void | setCanSaveDynamicFields (bool bCanSave)
| Set whether fields created at runtime should be saved. Default is true. More...
bool | getCanSaveDynamicFields (void) const
| Get whether fields created at runtime should be saved. Default is true. More...
void | setInternalName (const char *newname)
StringTableEntry | getInternalName ()
| Get the internal of of this control. More...
virtual bool | save (const char *pcFilePath, bool bOnlySelected=false)
| Save object as a TorqueScript File. More...
virtual bool | isMethod (const char *methodName)
| Check if a method exists in the objects current namespace. More...
SimObjectId | getId (void) const
StringTableEntry | getIdString (void) const
U32 | getType () const
const StringTableEntry | getName (void) const
void | setId (SimObjectId id)
void | assignName (const char *name)
SimGroup * | getGroup () const
bool | isChildOfGroup (SimGroup *pGroup)
bool | isProperlyAdded () const
bool | isDeleted () const
bool | isRemoved () const
bool | isLocked ()
void | setLocked (bool b)
bool | isHidden ()
void | setHidden (bool b)
void | setProgenitorFile (const char *pFile)
StringTableEntry | getProgenitorFile (void) const
void | setPeriodicTimerID (const S32 timerID)
S32 | getPeriodicTimerID (void) const
bool | isPeriodicTimerActive (void) const
bool | isSelected () const
bool | isExpanded () const
void | setSelected (bool sel)
void | setExpanded (bool exp)
void | setModDynamicFields (bool dyn)
void | setModStaticFields (bool sta)
| SimObject ()
virtual | ~SimObject ()
virtual bool | processArguments (S32 argc, const char **argv)
| Process constructor options. (ie, new SimObject(1,2,3)) More...
virtual void | onGroupAdd ()
| Called when the object is added to a SimGroup. More...
virtual void | onGroupRemove ()
| Called when the object is removed from a SimGroup. More...
virtual void | onNameChange (const char *name)
| Called when the object's name is changed. More...
virtual void | onStaticModified (const char *slotName, const char *newValue=NULL)
virtual void | inspectPreApply ()
virtual void | inspectPostApply ()
virtual void | onDeleteNotify (SimObject *object)
virtual void | onEditorEnable ()
| Called when the editor is activated. More...
virtual void | onEditorDisable ()
| Called when the editor is deactivated. More...
bool | registerObject ()
bool | registerObject (U32 id)
bool | registerObject (const char *name)
bool | registerObject (const char *name, U32 id)
void | unregisterObject ()
void | deleteObject ()
bool | addToSet (SimObjectId)
bool | addToSet (const char *)
bool | removeFromSet (SimObjectId)
bool | removeFromSet (const char *)
virtual bool | writeField (StringTableEntry fieldname, const char *value)
virtual void | write (Stream &stream, U32 tabStop, U32 flags=0)
virtual void | writeFields (Stream &stream, U32 tabStop)
virtual bool | writeObject (Stream *stream)
virtual bool | readObject (Stream *stream)
virtual void | buildFilterList ()
void | addFieldFilter (const char *fieldName)
void | removeFieldFilter (const char *fieldName)
void | clearFieldFilters ()
bool | isFiltered (const char *fieldName)
void | assignFieldsFrom (SimObject *obj)
void | assignDynamicFieldsFrom (SimObject *obj)
Public Member Functions inherited from ConsoleObject
const AbstractClassRep::Field * | findField (StringTableEntry fieldName) const
| Get a reference to a field by name. More...
virtual AbstractClassRep * | getClassRep () const
| Gets the ClassRep. More...
bool | setField (const char *fieldName, const char *value)
| Set the value of a field. More...
virtual | ~ConsoleObject ()
const AbstractClassRep::FieldList & | getFieldList () const
| Get a list of all the fields. This information cannot be modified. More...
AbstractClassRep::FieldList & | getModifiableFieldList ()
bool & | getDynamicGroupExpand ()
S32 | getClassId (U32 netClassGroup) const
const char * | getClassName () const

## Static Public Member Functions
static void | initPersistFields ()
| Core. More...
static TextureFilterMode | getFilterModeEnum (const char *label)
static const char * | getFilterModeDescription (TextureFilterMode filterMode)
Static Public Member Functions inherited from AssetBase
static void | initPersistFields ()
| Engine. More...
Static Public Member Functions inherited from SimObject
static void | initPersistFields ()
Static Public Member Functions inherited from ConsoleObject
static const char * | lookupClassName (const U32 in_classTag)
| Get the classname from a class tag. More...
static void | initPersistFields ()
static void | consoleInit ()
static ConsoleObject * | create (const char *in_pClassName)
static ConsoleObject * | create (const U32 groupId, const U32 typeId, const U32 in_classId)
static AbstractClassRep * | getStaticClassRep ()
| Get the abstract class information for this class. More...
static AbstractClassRep * | getParentStaticClassRep ()
| Get the abstract class information for this class's superclass. More...

## Protected Member Functions
virtual void | initializeAsset (void)
virtual void | onAssetRefresh (void)
virtual void | onTamlPreWrite (void)
| Taml callbacks. More...
virtual void | onTamlPostWrite (void)
| Called after Taml has finished writing the object. More...
virtual void | onTamlCustomWrite (TamlCustomNodes &customNodes)
| Called during the writing of the object to allow custom properties to be written. More...
virtual void | onTamlCustomRead (const TamlCustomNodes &customNodes)
| Called during the reading of the object to allow custom properties to be read. More...
Protected Member Functions inherited from SimObject
virtual void | onTamlPreRead (void)
| Called prior to Taml reading the object. More...
virtual void | onTamlPostRead (const TamlCustomNodes &customNodes)
virtual void | onTamlAddParent (SimObject *pParentObject)
| Called after Taml has finished reading the object and has added the object to any parent. More...
void | linkNamespaces ()
void | unlinkNamespaces ()
Protected Member Functions inherited from ConsoleObject
| ConsoleObject ()
| ConsoleObject (const ConsoleObject &)

## Static Protected Member Functions
static void | textureEventCallback (const U32 eventCode, void *userData)
static bool | setImageFile (void *obj, const char *data)
static const char * | getImageFile (void *obj, const char *data)
static bool | writeImageFile (void *obj, StringTableEntry pFieldName)
static bool | setForce16Bit (void *obj, const char *data)
static bool | writeForce16Bit (void *obj, StringTableEntry pFieldName)
static bool | setFilterMode (void *obj, const char *data)
static bool | writeFilterMode (void *obj, StringTableEntry pFieldName)
static bool | setExplicitMode (void *obj, const char *data)
static bool | setCellRowOrder (void *obj, const char *data)
static bool | writeCellRowOrder (void *obj, StringTableEntry pFieldName)
static bool | setCellOffsetX (void *obj, const char *data)
static bool | writeCellOffsetX (void *obj, StringTableEntry pFieldName)
static bool | setCellOffsetY (void *obj, const char *data)
static bool | writeCellOffsetY (void *obj, StringTableEntry pFieldName)
static bool | setCellStrideX (void *obj, const char *data)
static bool | writeCellStrideX (void *obj, StringTableEntry pFieldName)
static bool | setCellStrideY (void *obj, const char *data)
static bool | writeCellStrideY (void *obj, StringTableEntry pFieldName)
static bool | setCellCountX (void *obj, const char *data)
static bool | writeCellCountX (void *obj, StringTableEntry pFieldName)
static bool | setCellCountY (void *obj, const char *data)
static bool | writeCellCountY (void *obj, StringTableEntry pFieldName)
static bool | setCellWidth (void *obj, const char *data)
static bool | writeCellWidth (void *obj, StringTableEntry pFieldName)
static bool | setCellHeight (void *obj, const char *data)
static bool | writeCellHeight (void *obj, StringTableEntry pFieldName)
Static Protected Member Functions inherited from AssetBase
static bool | setAssetName (void *obj, const char *data)
static const char * | getAssetName (void *obj, const char *data)
static bool | writeAssetName (void *obj, StringTableEntry pFieldName)
static bool | setAssetDescription (void *obj, const char *data)
static const char * | getAssetDescription (void *obj, const char *data)
static bool | writeAssetDescription (void *obj, StringTableEntry pFieldName)
static bool | setAssetCategory (void *obj, const char *data)
static const char * | getAssetCategory (void *obj, const char *data)
static bool | writeAssetCategory (void *obj, StringTableEntry pFieldName)
static bool | setAssetAutoUnload (void *obj, const char *data)
static const char * | getAssetAutoUnload (void *obj, const char *data)
static bool | writeAssetAutoUnload (void *obj, StringTableEntry pFieldName)
static bool | setAssetInternal (void *obj, const char *data)
static const char * | getAssetInternal (void *obj, const char *data)
static bool | writeAssetInternal (void *obj, StringTableEntry pFieldName)
static const char * | getAssetPrivate (void *obj, const char *data)
Static Protected Member Functions inherited from SimObject
static bool | setClass (void *obj, const char *data)
static bool | setSuperClass (void *obj, const char *data)
static bool | writeCanSaveDynamicFields (void *obj, StringTableEntry pFieldName)
static bool | writeInternalName (void *obj, StringTableEntry pFieldName)
static bool | setParentGroup (void *obj, const char *data)
static bool | writeParentGroup (void *obj, StringTableEntry pFieldName)
static bool | writeSuperclass (void *obj, StringTableEntry pFieldName)
static bool | writeClass (void *obj, StringTableEntry pFieldName)
static SimObject::Notify * | allocNotify ()
| Get a free Notify structure. More...
static void | freeNotify (SimObject::Notify *)
| Mark a Notify structure as free. More...
Static Protected Member Functions inherited from ConsoleObject
static void | addGroup (const char *in_pGroupname, const char *in_pGroupDocs=NULL)
static void | endGroup (const char *in_pGroupname)
static void | addField (const char *in_pFieldname, const U32 in_fieldType, const dsize_t in_fieldOffset, const U32 in_elementCount=1, EnumTable *in_table=NULL, const char *in_pFieldDocs=NULL)
static void | addField (const char *in_pFieldname, const U32 in_fieldType, const dsize_t in_fieldOffset, AbstractClassRep::WriteDataNotify in_writeDataFn, const U32 in_elementCount=1, EnumTable *in_table=NULL, const char *in_pFieldDocs=NULL)
static void | addField (const char *in_pFieldname, const U32 in_fieldType, const dsize_t in_fieldOffset, const char *in_pFieldDocs)
static void | addField (const char *in_pFieldname, const U32 in_fieldType, const dsize_t in_fieldOffset, AbstractClassRep::WriteDataNotify in_writeDataFn, const char *in_pFieldDocs)
static void | addFieldV (const char *in_pFieldname, const U32 in_fieldType, const dsize_t in_fieldOffset, ConsoleTypeValidator *v, const char *in_pFieldDocs=NULL)
static void | addProtectedField (const char *in_pFieldname, const U32 in_fieldType, const dsize_t in_fieldOffset, AbstractClassRep::SetDataNotify in_setDataFn, AbstractClassRep::GetDataNotify in_getDataFn=&defaultProtectedGetFn, const U32 in_elementCount=1, EnumTable *in_table=NULL, const char *in_pFieldDocs=NULL)
static void | addProtectedField (const char *in_pFieldname, const U32 in_fieldType, const dsize_t in_fieldOffset, AbstractClassRep::SetDataNotify in_setDataFn, AbstractClassRep::GetDataNotify in_getDataFn=&defaultProtectedGetFn, AbstractClassRep::WriteDataNotify in_writeDataFn=&defaultProtectedWriteFn, const U32 in_elementCount=1, EnumTable *in_table=NULL, const char *in_pFieldDocs=NULL)
static void | addProtectedField (const char *in_pFieldname, const U32 in_fieldType, const dsize_t in_fieldOffset, AbstractClassRep::SetDataNotify in_setDataFn, AbstractClassRep::GetDataNotify in_getDataFn=&defaultProtectedGetFn, const char *in_pFieldDocs=NULL)
static void | addProtectedField (const char *in_pFieldname, const U32 in_fieldType, const dsize_t in_fieldOffset, AbstractClassRep::SetDataNotify in_setDataFn, AbstractClassRep::GetDataNotify in_getDataFn=&defaultProtectedGetFn, AbstractClassRep::WriteDataNotify in_writeDataFn=&defaultProtectedWriteFn, const char *in_pFieldDocs=NULL)
static void | addDepricatedField (const char *fieldName)
static bool | removeField (const char *in_pFieldname)

## Additional Inherited Members
Protected Attributes inherited from SimObject
SimObjectId | mId
| Id number for this object. More...
StringTableEntry | mIdString
Namespace * | mNameSpace
U32 | mTypeMask
S32 | mScriptCallbackGuard
| Whether the object is executing a script callback. More...
bool | mCanSaveFieldDictionary
| true if dynamic fields (added at runtime) should be saved, defaults to true More...
StringTableEntry | mInternalName
| Stores object Internal Name. More...
StringTableEntry | mClassName
| Stores the class name to link script class namespaces. More...
StringTableEntry | mSuperClassName
| Stores super class name to link script class namespaces. More...
Static Protected Attributes inherited from SimObject
static SimObject::Notify * | mNotifyFreeList = NULL

## Member Enumeration Documentation

enum TextureFilterMode

Texture Filter Mode.

Enumerator
FILTER_NEAREST |
FILTER_BILINEAR |
FILTER_INVALID |

## Constructor & Destructor Documentation

ImageAsset | ( |  | ) |

~ImageAsset | ( |  | ) |
| virtual

## Member Function Documentation

bool addExplicitCell | ( | const S32 | cellOffsetX,
|  | const S32 | cellOffsetY,
|  | const S32 | cellWidth,
|  | const S32 | cellHeight,
|  | const char * | regionName
| ) |  |

const void bindImageTexture | ( | void |  | ) |
| inline

bool clearExplicitCells | ( | void |  | ) |

Explicit cell control.

bool containsFrame | ( | const char * | namedFrame | ) |
| inline

bool containsNamedRegion | ( | const char * | regionName | ) |

void copyTo | ( | SimObject * | object | ) |
| virtual

Reimplemented from AssetBase.

DECLARE_CONOBJECT | ( | ImageAsset |  | ) |

Declare Console Object.

void forceCalculation | ( | void |  | ) |
| inline

ImageAsset::FrameArea & getCellByName | ( | const char * | cellName | ) |

S32 getCellCountX | ( | void |  | ) | const
| inline

S32 getCellCountY | ( | void |  | ) | const
| inline

S32 getCellHeight | ( | void |  | ) | const
| inline

S32 getCellOffsetX | ( | void |  | ) | const
| inline

S32 getCellOffsetY | ( | void |  | ) | const
| inline

bool getCellRowOrder | ( | void |  | ) | const
| inline

S32 getCellStrideX | ( | void |  | ) | const
| inline

S32 getCellStrideY | ( | void |  | ) | const
| inline

S32 getCellWidth | ( | void |  | ) | const
| inline

S32 getExplicitCellCount | ( | void |  | ) | const
| inline

S32 getExplicitCellHeight | ( | const S32 | cellIndex | ) |

S32 getExplicitCellIndex | ( | const char * | regionName | ) |

StringTableEntry getExplicitCellName | ( | const S32 | cellIndex | ) |

Vector2 getExplicitCellOffset | ( | const S32 | cellIndex | ) |

S32 getExplicitCellWidth | ( | const S32 | cellIndex | ) |

bool getExplicitMode | ( | void |  | ) | const
| inline

TextureFilterMode getFilterMode | ( | void |  | ) | const
| inline

const char * getFilterModeDescription | ( | ImageAsset::TextureFilterMode | filterMode | ) |
| static

ImageAsset::TextureFilterMode getFilterModeEnum | ( | const char * | label | ) |
| static

bool getForce16Bit | ( | void |  | ) | const
| inline

U32 getFrameCount | ( | void |  | ) | const
| inline

StringTableEntry getImageFile | ( | void |  | ) | const
| inline

static const char* getImageFile | ( | void * | obj,
|  | const char * | data
| ) |  |
| inline static protected

const FrameArea& getImageFrameArea | ( | U32 | frame | ) | const
| inline

const FrameArea& getImageFrameArea | ( | const char * | namedFrame | ) |
| inline

S32 getImageHeight | ( | void |  | ) | const
| inline

TextureHandle& getImageTexture | ( | void |  | ) |
| inline

S32 getImageWidth | ( | void |  | ) | const
| inline

void initializeAsset | ( | void |  | ) |
| protected virtual

Reimplemented from AssetBase.

void initPersistFields | ( |  | ) |
| static

Core.

bool insertExplicitCell | ( | const S32 | cellIndex,
|  | const S32 | cellOffsetX,
|  | const S32 | cellOffsetY,
|  | const S32 | cellWidth,
|  | const S32 | cellHeight,
|  | const char * | regionName
| ) |  |

virtual bool isAssetValid | ( | void |  | ) | const
| inline virtual

Reimplemented from AssetBase.

bool onAdd | ( | void |  | ) |
| virtual

Called when the object is added to the sim.

Reimplemented from SimObject.

void onAssetRefresh | ( | void |  | ) |
| protected virtual

Reimplemented from AssetBase.

void onRemove | ( |  | ) |
| virtual

Called when the object is removed from the sim.

Reimplemented from SimObject.

void onTamlCustomRead | ( | const TamlCustomNodes & | customNodes | ) |
| protected virtual

Called during the reading of the object to allow custom properties to be read.

Reimplemented from SimObject.

void onTamlCustomWrite | ( | TamlCustomNodes & | customNodes | ) |
| protected virtual

Called during the writing of the object to allow custom properties to be written.

Reimplemented from SimObject.

void onTamlPostWrite | ( | void |  | ) |
| protected virtual

Called after Taml has finished writing the object.

Reimplemented from SimObject.

void onTamlPreWrite | ( | void |  | ) |
| protected virtual

Taml callbacks.

Reimplemented from SimObject.

bool removeExplicitCell | ( | const S32 | cellIndex | ) |

bool removeExplicitCell | ( | const char * | regionName | ) |

void setCellCountX | ( | const S32 | cellCountX | ) |

static bool setCellCountX | ( | void * | obj,
|  | const char * | data
| ) |  |
| inline static protected

void setCellCountY | ( | const S32 | cellCountY | ) |

static bool setCellCountY | ( | void * | obj,
|  | const char * | data
| ) |  |
| inline static protected

void setCellHeight | ( | const S32 | cellheight | ) |

static bool setCellHeight | ( | void * | obj,
|  | const char * | data
| ) |  |
| inline static protected

void setCellOffsetX | ( | const S32 | cellOffsetX | ) |

static bool setCellOffsetX | ( | void * | obj,
|  | const char * | data
| ) |  |
| inline static protected

void setCellOffsetY | ( | const S32 | cellOffsetY | ) |

static bool setCellOffsetY | ( | void * | obj,
|  | const char * | data
| ) |  |
| inline static protected

void setCellRowOrder | ( | const bool | cellRowOrder | ) |

static bool setCellRowOrder | ( | void * | obj,
|  | const char * | data
| ) |  |
| inline static protected

void setCellStrideX | ( | const S32 | cellStrideX | ) |

static bool setCellStrideX | ( | void * | obj,
|  | const char * | data
| ) |  |
| inline static protected

void setCellStrideY | ( | const S32 | cellStrideY | ) |

static bool setCellStrideY | ( | void * | obj,
|  | const char * | data
| ) |  |
| inline static protected

void setCellWidth | ( | const S32 | cellWidth | ) |

static bool setCellWidth | ( | void * | obj,
|  | const char * | data
| ) |  |
| inline static protected

bool setExplicitCell | ( | const S32 | cellIndex,
|  | const S32 | cellOffsetX,
|  | const S32 | cellOffsetY,
|  | const S32 | cellWidth,
|  | const S32 | cellHeight,
|  | const char * | regionName
| ) |  |

void setExplicitMode | ( | const bool | explicitMode | ) |

static bool setExplicitMode | ( | void * | obj,
|  | const char * | data
| ) |  |
| inline static protected

void setFilterMode | ( | const TextureFilterMode | filterMode | ) |

bool setFilterMode | ( | void * | obj,
|  | const char * | data
| ) |  |
| static protected

void setForce16Bit | ( | const bool | force16Bit | ) |

static bool setForce16Bit | ( | void * | obj,
|  | const char * | data
| ) |  |
| inline static protected

void setImageFile | ( | const char * | pImageFile | ) |

static bool setImageFile | ( | void * | obj,
|  | const char * | data
| ) |  |
| inline static protected

static void textureEventCallback | ( | const U32 | eventCode,
|  | void * | userData
| ) |  |
| static protected

static bool writeCellCountX | ( | void * | obj,
|  | StringTableEntry | pFieldName
| ) |  |
| inline static protected

static bool writeCellCountY | ( | void * | obj,
|  | StringTableEntry | pFieldName
| ) |  |
| inline static protected

static bool writeCellHeight | ( | void * | obj,
|  | StringTableEntry | pFieldName
| ) |  |
| inline static protected

static bool writeCellOffsetX | ( | void * | obj,
|  | StringTableEntry | pFieldName
| ) |  |
| inline static protected

static bool writeCellOffsetY | ( | void * | obj,
|  | StringTableEntry | pFieldName
| ) |  |
| inline static protected

static bool writeCellRowOrder | ( | void * | obj,
|  | StringTableEntry | pFieldName
| ) |  |
| inline static protected

static bool writeCellStrideX | ( | void * | obj,
|  | StringTableEntry | pFieldName
| ) |  |
| inline static protected

static bool writeCellStrideY | ( | void * | obj,
|  | StringTableEntry | pFieldName
| ) |  |
| inline static protected

static bool writeCellWidth | ( | void * | obj,
|  | StringTableEntry | pFieldName
| ) |  |
| inline static protected

static bool writeFilterMode | ( | void * | obj,
|  | StringTableEntry | pFieldName
| ) |  |
| inline static protected

static bool writeForce16Bit | ( | void * | obj,
|  | StringTableEntry | pFieldName
| ) |  |
| inline static protected

static bool writeImageFile | ( | void * | obj,
|  | StringTableEntry | pFieldName
| ) |  |
| inline static protected

The documentation for this class was generated from the following files:

- 2d/assets/ImageAsset.h
- 2d/assets/ImageAsset.cc